Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.event
Class TableColumnModelEvent

    java.lang.Object
      java.util.EventObject
          nextapp.echo2.app.event.TableColumnModelEvent

All Implemented Interfaces:
  java.io.Serializable

    public class TableColumnModelEvent

extends java.util.EventObject

An event which describes an update to a `TableColumnModel`

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TableColumnModelEvent(TableColumnModel source, int fromIndex, int toIndex)` Creates a new `TableColumnModelEvent`.

Method Summary
`int` | `getFromIndex()` Returns the index from which the column was moved or removed.
`int` | `getToIndex()` Returns the index to which the column was moved or added.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableColumnModelEvent

    public TableColumnModelEvent(TableColumnModel source,
                                 int fromIndex,
                                 int toIndex)

  Creates a new `TableColumnModelEvent`.

  Parameters:
    `source` - the updated `TableColumnModel`.
    `fromIndex` - the index from which the column was moved or removed (relevant to remove and move operations)
    `toIndex` - the index to which the column was moved or added (relevant to move and add operations)

Method Detail

### getFromIndex

    public int getFromIndex()

  Returns the index from which the column was moved or removed. This method is only relevant to remove and move operations.

  Returns:
    the index from which the column was moved or removed

### getToIndex

    public int getToIndex()

  Returns the index to which the column was moved or added. This method is only relevant to move and add operations.

  Returns:
    the index to which the column was moved or added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD